org.apache.hadoop.yarn.util

## Class RMHAUtils

- java.lang.Object
- - org.apache.hadoop.yarn.util.RMHAUtils

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class RMHAUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RMHAUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `findActiveRMHAId(org.apache.hadoop.conf.Configuration conf)`
    `static List<String>` | `getRMHAWebappAddresses(org.apache.hadoop.yarn.conf.YarnConfiguration conf)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RMHAUtils

          public RMHAUtils()

  - ### Method Detail

    - #### findActiveRMHAId

          public static String findActiveRMHAId(org.apache.hadoop.conf.Configuration conf)

    - #### getRMHAWebappAddresses

          public static List<String> getRMHAWebappAddresses(org.apache.hadoop.yarn.conf.YarnConfiguration conf)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.